Bug 1127568 - Gnome desktop frequently stops responding
Summary: Gnome desktop frequently stops responding
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 07:25 UTC by Mikkel Lauritsen
Modified: 2015-06-29 21:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:47 UTC


Attachments (Terms of Use)

Description Mikkel Lauritsen 2014-08-07 07:25:48 UTC
Recently the Gnome desktop has developed a bad habit of entering a state where it doesn't respond to keyboard or mouse input. It happens frequently (every couple of minutes or so) and lasts for a couple of seconds, after which things work again.

I initially thought that it was only the Google Chrome browser that had the problem, as videos on YouTube freeze regularly (picture only, sound continues) and the caret disappears from text input fields (as the one in Bugzilla where this is currently being entered), but many other applications are affected as well.

/var/log/messages contains a large number of messages (hundreds over the past hour) like

Aug  7 09:01:23 localhost gnome-session: (gnome-settings-daemon:1882): GnomeDesktop-WARNING **: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 09:01:23 localhost gnome-session: gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 09:01:23 localhost gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 09:01:24 localhost gnome-session: Gjs-Message: JS LOG: pushModal: invocation of begin_modal failed
Aug  7 09:01:24 localhost gnome-session: Gjs-Message: JS LOG: pushModal: invocation of begin_modal failed

Aug  7 09:04:14 localhost gnome-session: [3273:3305:0807/090414:ERROR:raw_channel_posix.cc(139)] recvmsg: Connection reset by peer
Aug  7 09:04:14 localhost gnome-session: [3273:3305:0807/090414:ERROR:channel.cc(297)] RawChannel fatal error (type 1)
Aug  7 09:05:44 localhost gnome-session: [3308:3308:0807/070544:ERROR:sync_control_vsync_provider.cc(60)] glXGetSyncValuesOML should not return TRUE with a media stream counter of 0.

I'd be more than happy to provide the entire log file if needed.

This is Fedora 20 on x86_64, all current updates installed
gnome-shell-3.10.4-7.fc20.x86_64
gnome-session-3.10.1-1.fc20.x86_64

The hardware is an Ivy Bridge based laptop with an i7-3612QM using the built-in Intel HD graphics 4000.

Comment 1 Mikkel Lauritsen 2014-08-07 11:59:29 UTC
I was just unable to unlock the screen lock - I could switch to a text console, but no go with the GUI. /var/log/messages was rapidly accumulating messages like the ones in my previous comment:

Aug  7 13:43:57 localhost gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:43:59 localhost gnome-session: gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:43:59 localhost gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:01 localhost gnome-session: gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:01 localhost gnome-session[1689]: GnomeDesktop-WARNING: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:02 localhost gnome-session: (gnome-settings-daemon:1882): GnomeDesktop-WARNING **: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:02 localhost gnome-session: (gnome-settings-daemon:1882): GnomeDesktop-WARNING **: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:02 localhost gnome-session: (gnome-settings-daemon:1882): GnomeDesktop-WARNING **: Failed to acquire idle monitor proxy: Timeout was reached
Aug  7 13:44:02 localhost gnome-session: (gnome-settings-daemon:1882): GnomeDesktop-WARNING **: Failed to acquire idle monitor proxy: Timeout was reached

Comment 2 Christopher Beland 2014-12-29 18:44:02 UTC
Hmm, similar symptoms to Bug 812624 but different log messages.

Comment 3 Fedora End Of Life 2015-05-29 12:34:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:57:47 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.